<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet href="chrome://global/skin/" type="text/css"?>
<?xml-stylesheet href="chrome://trafficpm/content/options.css" type="text/css"?>
<!DOCTYPE prefwindow SYSTEM "chrome://trafficpm/locale/options.dtd">
<!--
TrafficProgrammer extension for Mozilla Firefox
Copyright (C) 1999-2016 zztiDOTcom
U.S. Copyright Office - Registration Number TXu001282548
For licensing terms, please refer to license.txt in the extension
package or its installation directory on your computer.

You are already agreed that you will not extract any information,
directories and databases, reverse engineer, decompile, disassemble, alter,
duplicate, make copies, create derivative works from, distribute or provide others
with this software.
-->
<prefwindow xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
			type="prefwindow"
			id="tpm-preferences-window"
			title="TrafficProgrammer 2016 Release 1"
			width="600"
			height="300"
			orient="vertical"
			buttons="extra1"
			buttonalign="right"
			buttonalignextra1="right"
			defaultButton="extra1"
			buttonlabelextra1="Save and Go Surfing >>"
			ondialogextra1="saveAndGo(1);"
			onload="sizeToContent();centerWindowOnScreen();init();">

	<script type="application/javascript" src="chrome://global/content/globalOverlay.js"/>
	<script type="application/javascript" src="chrome://trafficpm/content/default.js"/>

	<prefpane id="trafficpm-panel" orient="horizontal" flex="1">

		<preferences>
			<preference id="surfurlstringpref" name="extensions.trafficpm.surfurlstringpref" type="string"/>
			<preference id="lickeystringpref" name="extensions.trafficpm.lickeystringpref" type="string"/>

			<preference id="surfurlstringpref2" name="extensions.trafficpm.surfurlstringpref2" type="string"/>
			<preference id="lickeystringpref2" name="extensions.trafficpm.lickeystringpref2" type="string"/>

			<preference id="surfurlstringpref3" name="extensions.trafficpm.surfurlstringpref3" type="string"/>
			<preference id="lickeystringpref3" name="extensions.trafficpm.lickeystringpref3" type="string"/>

			<preference id="surfurlstringpref4" name="extensions.trafficpm.surfurlstringpref4" type="string"/>
			<preference id="lickeystringpref4" name="extensions.trafficpm.lickeystringpref4" type="string"/>

			<preference id="surfurlstringpref5" name="extensions.trafficpm.surfurlstringpref5" type="string"/>
			<preference id="lickeystringpref5" name="extensions.trafficpm.lickeystringpref5" type="string"/>

			<preference id="autostartcheckboolpref" name="extensions.trafficpm.autostartcheckboolpref" type="bool"/>

			<preference id="aid" name="extensions.trafficpm.aid" type="string"/>
		</preferences>

		<vbox flex="1">
			<tabbox flex="1" id="MainTabs">
				<tabs>
					<tab label="Your Website URLs"/>
					<tab label="Backup / Restore"/>
				</tabs>
				<tabpanels flex="1">
					<tabpanel flex="1">
						<vbox flex="1">
							<hbox>
								<button label="Add New URL" style="float: left;" oncommand="addNewURLDialog();"/>
								<spacer flex="1"/>
								<button label="Remove" style="float: right;" oncommand="removeSelectedTreeRows();"/>
							</hbox>
							<hbox flex="1" >
								<tree flex="1" hidecolumnpicker="true" editable="true" seltype="single" id="TrafficPMTree" onclick="onTreeClicked(event);" style="width: 400px; height: 200px">
									<treecols>
										<treecol label="Account No." id="accountNumber" style="width: 94px;"/>
										<treecol label="URL" flex="1" id="URL" style="min-width: 118px"/>
										<treecol label="Registration Key" flex="1" id="RegKey" style="width: 13px;"/>
										<treecol label="Type" id="Type" style="text-align: center;"/>
										<treecol label="Active" id="Active" type="checkbox" editable="true" style="text-align: center;"/>
										<treecol label="Link" id="Link" style="width: 76px; text-align: center;"/>
									</treecols>
									<treechildren id="TrafficPMTreeChildren">
									<!-- Dynamic -->
									</treechildren>
								</tree>
							</hbox>
						</vbox>
					</tabpanel>
					<tabpanel flex="1">
						<vbox flex="1">
							<hbox>
								<button label="Backup" style="float: left;" oncommand="doBackup();"/>
								<description flex="1">To Backup, please click the 'Backup Button' to select where to save the backup file 'trafficpm.txt' on your computer and click OK.</description>
							</hbox>
							<separator class="thin"/>
							<separator class="thin"/>
							<separator class="thin"/>
							<separator class="groove"/>
							<separator class="thin"/>
							<separator class="thin"/>
							<separator class="thin"/>
							<hbox>
								<description flex="1">To Restore, please click the 'Restore Button' to find and select the backup 'trafficpm.txt' file on your computer and click OK.</description>
								<button label="Restore" style="float: left;" oncommand="doRestore();"/>
							</hbox>
						</vbox>
					</tabpanel>
				</tabpanels>
			</tabbox>
			<hbox>
				<label flex="1" style="text-align: -moz-center; line-height: 22px;"/>
				<spacer style="width: 10px;"/>
				<checkbox id="IDAutoStartCheckBox" preference="autostartcheckboolpref" label="Start Automatically" onclick="disableTimer();"/>
			</hbox>
		</vbox>
	</prefpane>
	<script type="application/javascript" src="chrome://trafficpm/content/options.js"/>
</prefwindow>
